function battle_sai004(npcID) --骸鳐
	m=flag.GetBattleValue(12951)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
    
	i=0
	j=0
	for p=0,9,1 do
		pid=2^p
		if player.IsPlayerInBattle(pid)==1 and player.GetHP(pid,1)<80 then
			i=i+1
		end
		if player.IsPlayerInBattle(pid)==1 and player.GetHP(pid,1)>50 then
			j=i+1
		end
	end
	
	
	if i==0 or j==0 then
		
		battle.MagicToPlayer(0,1425,1)   --全体法术

	else
		if m~=3 then
			a = battle.GetRndNumber(1,10)
			if a>=1 and a<=6 then
				m=m+1
				flag.SetBattleValue(12951,m)
				id = battle.GetRndPlayer()
				if battle.CheckPlayerStat(id,83)==1 then
					battle.SetDamageScale(3)
				end
				battle.AtkToPlayer(id,1)     --普通攻击
			else
				id = battle.GetRndPlayer()
				if battle.CheckPlayerStat(id,83)==1 then
					battle.SetSkillScale(400)
				end		
				battle.MagicToPlayer(id,1426,1)   --单体法术
			end
		else
			flag.SetBattleValue(12951,0)
			id = battle.GetRndPlayer()	
			if battle.CheckPlayerStat(id,83)==1 then
				battle.SetSkillScale(300)
			end		
			battle.MagicToPlayer(id,1426,1)   --单体法术
		end
	end
end